# yamllint disable
# License: GNU Lesser General Public License v3.0
# source (original): https://github.com/ajinabraham/njsscan/blob/master/njsscan/rules/semantic_grep/ssrf/ssrf_wkhtmltoimage.yaml
# hash: e7a0a61
# yamllint enable
---
rules:
- id: "rules_lgpl_javascript_ssrf_rule-wkhtmltoimage-ssrf"
  patterns:
  - pattern-inside: |
      require('wkhtmltoimage')
      ...
  message: |
    User controlled URL reached to `wkhtmltoimage` can result in Server Side Request Forgery (SSRF).
  languages:
  - "javascript"
  severity: "ERROR"
  metadata:
    owasp: "A1:2017-Injection"
    cwe: "CWE-918: Server-Side Request Forgery (SSRF)"
    security-severity: "CRITICAL"
